Issue 122301

Summary: Support 64bit AOO app for 64bit OSX
Product: General Reporter: hdu <hdu>
Component: codeAssignee: hdu <hdu>
Status: CLOSED FIXED QA Contact:
Severity: Normal    
Priority: P3 CC: issues, jsc, pescetti
Version: 4.0.0-dev   
Target Milestone: 4.1.0   
Hardware: Mac   
OS: Mac OS X, all   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on: 122766, 114728, 121715, 122365, 123685, 123840, 123841, 123864, 123895    
Issue Blocks:    

Description hdu@apache.org 2013-05-13 09:44:31 UTC
With AOO using one address space for all documents and plugins the heap can get quite crowded. Going 64bit not only resolves this but adds the benefits of the AMD64 platform of providing more registers, wider registers, better calling conventions, improved support for position independent code and the availability of newer APIs on target platforms etc. 64bit mode is the default on XCode4 for OSX anyway.
Comment 1 SVN Robot 2013-05-13 09:46:14 UTC
"hdu" committed SVN revision 1481759 into branches/rejuvenate01:
#i122301# the new file impfont.hxx consolidates many internal font helper met...
Comment 2 jsc 2013-06-05 07:00:42 UTC
add me on CC
Comment 3 SVN Robot 2013-08-07 10:00:21 UTC
"hdu" committed SVN revision 1511231 into trunk:
#i122301# fix build breaker on Mac in fpicker for debug=true
Comment 4 SVN Robot 2013-12-09 08:26:46 UTC
"hdu" committed SVN revision 1549504 into trunk:
#i122301# handle new names of unxmac* platform targets
Comment 5 SVN Robot 2014-01-02 15:52:44 UTC
"hdu" committed SVN revision 1554833 into trunk:
#i122301# add Makefiles for XCode>=4 on Mac
Comment 6 SVN Robot 2014-01-08 17:49:04 UTC
"hdu" committed SVN revision 1556584 into trunk:
#i122301# set the BUILD64 flag for the 64bit Mac build
Comment 7 SVN Robot 2014-01-08 17:51:36 UTC
"hdu" committed SVN revision 1556588 into trunk:
#i122301# use the BUILD64 flag to simplify the NSS makefile
Comment 8 SVN Robot 2014-01-23 16:58:27 UTC
"hdu" committed SVN revision 1560747 into trunk:
#i122301# switch Mac port to SDK 10.7 / 64bit
Comment 9 SVN Robot 2014-01-23 17:00:44 UTC
"hdu" committed SVN revision 1560749 into trunk:
#i122301# switch Mac port to CoreText API
Comment 10 SVN Robot 2014-01-27 13:07:58 UTC
"hdu" committed SVN revision 1561659 into trunk:
#i122301# enable ismacbuild flag for all mac builds
Comment 11 hdu@apache.org 2014-03-11 12:22:20 UTC
Fixed with the commits above and the commits of the dependent issues.
Comment 12 hdu@apache.org 2014-04-01 12:31:51 UTC
Closing the resolved issue.